% function Dataset()
%
% Dataset for predicting protein interaction sites
% 
% Input:
%
% Copyright Chen Peng NTU
% $Revision: 1.0 $   $Date: 2009/07/16 17:55:00 $

%% Sparsing attributes for each heteromers, the first row denotes titles
%% for segments. The file of heteromers was derived from a website:
%% http://supfam.mrc-lmb.cam.ac.uk/elevy/3dcomplex/Download.cgi?checked=1
%% with selected all information for heteromers.
fid = fopen('Heteromers_Q30_data_2009-6-20.3dcomplex', 'r');
num_column = 0;
while 1
    tline = fgetl(fid);
    num_column = num_column + 1;
    if ~ischar(tline),   break,   end
    if length(tline) >= 4 && num_column >= 6
        % doing so due to some segments with no contents
        string = regexprep(tline, '\t', '@');
        pos_tab = strfind(string, '@');
        heteromers(num_column-5,1) = {tline(1:pos_tab(1))};
        for i = 2 : length(pos_tab)
            heteromers(num_column-5,i) = {tline(pos_tab(i-1):pos_tab(i))};
        end
        heteromers(num_column-5,length(pos_tab)+1) = {tline(pos_tab(length(pos_tab)):length(tline))};
    end
end
fclose(fid);
pdbname = heteromers(2:size(heteromers,1),1);

DSSP(pdbname, 'DSSP\'); % get DSSP information and save them
HSSP(pdbname, 'HSSP\'); % get HSSP information and save them
% Surface(pdbname, 'Surface\');
Interface('Interface\'); % get Interface information and save them


% Note that: five proteins should be removed due to lack of HSSP and DSSP information, 
% they are listed as follows: 1lwu_1 (DSSP contains such information) 1wlq_2 1dn1 1cpb 1txv.
